#
# spec file for package ddclient (Version 3.7.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ddclient
License:        GNU General Public License (GPL)
Group:          Productivity/Networking/DNS/Utilities
Requires:       perl >= 5.004
Suggests:       perl-IO-Socket-SSL
Autoreqprov:    on
Version:        3.7.1
Release:        4
URL:            http://ddclient.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A Perl Client to Update Dynamic DNS Entries
Source0:        http://switch.dl.sourceforge.net/sourceforge/ddclient/%{name}-%{version}.tar.bz2
Source1:        rc.ddclient
Patch0:         ddclient-3.6.3-config.patch
Patch1:         ddclient-3.7.1-config.patch

%description
ddclient is a small full-featured client requiring only Perl. Supported
features include daemon operation, manual and automatic updates, static
and dynamic updates, optimized updates for multiple addresses, MX, wild
cards, abuse avoidance, retry for failed updates, and status updates to
syslog and through e-mail. ddclient can obtain the IP address from any
interface, through a Web-based IP detection service, and for multiple
routers using custom FW definitions. It also provides full support for
DynDNS.org's NIC2 protocol. Support is also included for other dynamic
DNS services. Comes with sample scripts for use with DHCP, PPP, and
cron.



Authors:
--------
    Wim Vinckier <wimpunk@users.sourceforge.net >
    Paul Burry <paul@burry.ca>

%debug_package
%prep
%setup
%patch0 -p1 -b _orig
%patch1 -p1

%build
#export CFLAGS="$RPM_OPT_FLAGS"
#./configure \
#		--mandir=%{_mandir} \
#		--prefix=%{prefix} \
#		--libdir=%{_libdir} \
#		--infodir=%{_infodir} \
#		--sysconfdir=%{_sysconfdir} \
#
# If the package provides automatic testing
#make test
# nothing to do here (yet)

%install
[ "$RPM_BUILD_ROOT" != "" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
#make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
install -m 755 %{name} $RPM_BUILD_ROOT/usr/sbin/
install -m 644 sample-etc_ddclient.conf $RPM_BUILD_ROOT/%{_sysconfdir}/ddclient.conf
# init script
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/ddclient
ln -s %{_sysconfdir}/init.d/ddclient $RPM_BUILD_ROOT/usr/sbin/rcddclient
 
mkdir -p $RPM_BUILD_ROOT/var/cache/ddclient
touch $RPM_BUILD_ROOT/var/cache/ddclient/ddclient.cache

%preun
%stop_on_removal ddclient

%postun
%restart_on_update ddclient
%insserv_cleanup

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%config (noreplace)%attr(600,root,root) %{_sysconfdir}/ddclient.conf
%config %attr(0755,root,root) /etc/init.d/ddclient
/usr/sbin/%{name}
/usr/sbin/rcddclient
%dir /var/cache/ddclient
%attr (600,root,root) /var/cache/ddclient/ddclient.cache
%doc COPY* README* sample*

%changelog -n ddclient
* Mon Feb 19 2007 - joe_morris@ntm.org
- bugfix from svn due to error in ddclient script
- added cache directory and file
* Tue Feb 13 2007 - kssingvo@suse.de
- disabled ssl in default config (bugzilla#232005)
* Mon Feb 12 2007 - kssingvo@suse.de
- update to version 3.7.1:
  * URL of zoneedit has changed (see bug #1558483)
  * Added initscript for Ubuntu (posted by Paolo Martinelli)
  * Added patch "Patch: Treat --daemon values as intervals"
  (submitted by James deBoer)
  * Don't send any mail when in not running daemon mode (patch
  submitted by Daniel Thaler)
  * Changed Changelog syntax
  * Applied patches submitted by Torsten:
  abuse_msg.diff: ddclient still reports the email to contact
  dyndns.org but they prefer a web form today (IIRC). This patch
  adjusts the abuse warning printed by ddclient.
  cachedir.diff: Original ddclient stores a cache file in /etc
  which would belong in /var/cache in my opinion and according
  to the FHS.
  help_nonroot.diff: Allow calling the help function as non-root.
  update-new-config.patch: Force update if config has changed
  smc-barricade-7401bra.patch: Support for SMC Barricade 7401BRA
  FW firewall
  cisco_fw.diff: Use configured hostname for firewall access with
      -use=cisco (closes: #345712). Thanks to Per Carlson for the
  patch!  See http://bugs.debian.org/345712.
  maxinterval.diff: Increase max interval for updates.
  See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=129370
  http://www.dyndns.com/support/services/dyndns/faq.html#q15
- added Suggests: for perl-IO-SSL-Socket (bugzilla#232005)
- adapted /etc config patch to new version
* Mon Jan 08 2007 - kssingvo@suse.de
- fixed checkproc in init script (bugzilla#229460)
* Wed Sep 20 2006 - kssingvo@suse.de
- added init script (bugzilla#201548)
* Wed Jun 28 2006 - kssingvo@suse.de
- update to version 3.7.0:
- support of many new routers
- fix to have a '#' char in the password
- renamed .orig to _orig in %%doc section
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 - kssingvo@suse.de
- update to version 3.6.7
* Tue Jul 26 2005 - kssingvo@suse.de
- update to version 3.6.6
* Tue Mar 29 2005 - kssingvo@suse.de
- fix of config directory location (bugzilla#74539)
* Tue Feb 01 2005 - kssingvo@suse.de
- new version 3.6.5: there was a bug in the linksys-ver2
* Thu Nov 04 2004 - kssingvo@suse.de
- new version 3.6.4 and now maintained at sourceforge
* Sun Jan 11 2004 - adrian@suse.de
- fix build as user
* Wed Aug 13 2003 - kssingvo@suse.de
- fixed defaults (bugzilla#27701)
* Tue Jun 24 2003 - kssingvo@suse.de
- upgraded to ddclient-3.6.3
* Tue Jan 14 2003 - kssingvo@suse.de
- updated to ddclient-3.6.3beta3
* Mon Oct 28 2002 - kssingvo@suse.de
- first shot.
